Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# TQDomComment Class Reference
[XML module]

The TQDomComment class represents an XML comment. More...

All the functions in this class are reentrant when TQt is built with thread support.

`#include <ntqdom.h>`

Inherits TQDomCharacterData.

List of all member functions.

## Public Members

- TQDomComment ()
- TQDomComment ( const TQDomComment & x )
- TQDomComment & operator= ( const TQDomComment & x )
- ~TQDomComment ()
- virtual TQDomNode::NodeType nodeType () const
- virtual bool isComment () const

## Detailed Description

The TQDomComment class represents an XML comment.

A comment in the parsed XML such as this:

        <!-- this is a comment -->

is represented by TQDomComment objects in the parsed Dom tree.

For further information about the Document Object Model see http://www.w3.org/TR/REC-DOM-Level-1/ and http://www.w3.org/TR/DOM-Level-2-Core/. For a more general introduction of the DOM implementation see the TQDomDocument documentation.

See also XML.

## Member Function Documentation

### TQDomComment::TQDomComment ()

Constructs an empty comment. To construct a comment with content, use the TQDomDocument::createComment() function.

### TQDomComment::TQDomComment ( const TQDomComment & x )

Constructs a copy of x.

The data of the copy is shared (shallow copy): modifying one node will also change the other. If you want to make a deep copy, use cloneNode().

### TQDomComment::~TQDomComment ()

Destroys the object and frees its resources.

### bool TQDomComment::isComment () const`[virtual]`

Returns TRUE.

Reimplemented from TQDomNode.

### TQDomNode::NodeType TQDomComment::nodeType () const`[virtual]`

Returns CommentNode.

Reimplemented from TQDomCharacterData.

### TQDomComment & TQDomComment::operator= ( const TQDomComment & x )

Assigns x to this DOM comment.

The data of the copy is shared (shallow copy): modifying one node will also change the other. If you want to make a deep copy, use cloneNode().

This file is part of the TQt toolkit. Copyright © 1995-2007 Trolltech. All Rights Reserved.